#32/64
Name:           wvdial-gui
Version:        1.2.0
Release:        0
Summary:        Qt GUI front end to wvdial
License:        GPL-2.0+
Group:          Productivity/Security
Source:         %{name}-%{version}.tar.xz
URL:            https://github.com/mhogomchungu/wvdial-gui

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: 	qtbase5-common-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires: 	%{_lib}qt5widgets-devel
BuildRequires: 	%{_lib}qt5core-devel


%description
wvdial-gui is a Qt/C++ front end to wvdial.

%prep
%setup -q -n %{name}

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RELEASE ..

%install
cd build
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/wvdial-gui

%files
%defattr(0755,root,root)
%{_bindir}/wvdial-gui
%{_datadir}/applications/wvdial-gui.desktop

%defattr(0644,root,root)
%{_datadir}/icons/hicolor/48x48/apps/wvdial-gui.png
%{_datadir}/pixmaps/wvdial-gui.png
%defattr(0644,root,root)

%changelog
* Sat May 20 2017 adrianomorselli <adrianomorselli> 1.2.0-1uplos2017
- rebuild for uplos

* Wed Apr 19 2017 Agent Smith <ruidobranco@yahoo.com.br> 1.2.0-1pclos2017
- Created package wvdial-gui


